local gr = love.graphics
s = require 'warp'

function love.load()
	wd, ht = 500, 500
	gr.setMode( wd, ht, {} )
	canvas=gr.newCanvas(wd,ht)
	gt = 0
	love.graphics.setCaption( 'Warp' )
	screen = { wd, ht }
	love.graphics.setBackgroundColor( 250,25, 55 )
	love.mouse.setPosition( wd, ht )
	im = gr.newImage('lenaC.jpg')
	backbuffer = im
	s.effect:send( 'backbuffer', backbuffer )
	s.effect:send( 'screen', screen )
	love.mouse.setPosition( wd/2, ht/2 )
	end

function love.update( dt )
	gt = gt + dt
	s.effect:send( 'time', gt )
	mx,my = love.mouse.getPosition( )
	s.effect:send( 'mouse',{2*mx/wd+0.5,2*my/ht+.5})
	end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
